Packages - Bug #2554

[icecat]: can not sign in to sync
2019-11-22 02:11 PM - bill-auger

Status: forwarded upstream % Done: 0%
Priority: bug

Assignee:

Category:

Description

this is a recurring problem - it works with some release then not with the next - it is likely an upstream issue - ive reported the bug
myself in the past - it gets fixed then it comes back

the only apparent clues are this line in the shell terminal:

console.warn: LoginRecipes: getRecipes: falling back to a synchronous message for: https://account
s.firefox.com

and this error in the browser JS log

Working...
Response not received for: fxaccounts:can_link_account

Related issues:

Related to Packages - Bug #613: [icecat] Unable to use Firefox Sync not-a-bug
Related to Packages - Bug #3301: Firefox Sync in Iceweasel not working fixed
History

#1 - 2019-11-22 02:13 PM - bill-auger

- Description updated

#2 - 2022-04-24 12:30 AM - bill-auger
- Related to Bug #613: [icecat] Unable to use Firefox Sync added

#3 - 2022-09-03 12:11 AM - bill-auger

- Status changed from confirmed to forwarded upstream

related to #3301 - a solution was found for iceweasel - sent patch to gnuzilla

https://lists.gnu.org/archive/html/gnuzilla-dev/2022-09/msg00000.html

if they do not accept it, we can apply it via abslibre

diff --git a/data/settings.js b/data/settings.]s
index £d9f620..480ec23 100644

--— a/data/settings. js

+++ b/data/settings.Jjs

@@ -184,8 +184,9 @@ pref("app.update.auto", false);
pref ("media.eme.enabled", false);

pref ("media.eme.apiVisible", false);

-// Firefox Accounts

—-pref ("identity.fxaccounts.enabled", false);

+// Firefox Sync

+pref ("identity.fxaccounts.enabled", true);

+pref ("webchannel.allowObject.urlWhitelist", "https://content.cdn.mozilla.net
https://support.mozilla.org https://install.mozilla.org
https://accounts.firefox.com";);

// WebRTC
pref ("media.peerconnection.enabled", true);
https://labs.parabola.nu/issues/3301
https://lists.gnu.org/archive/html/gnuzilla-dev/2022-09/msg00000.html

#4 - 2022-09-03 12:12 AM - bill-auger
- Related to Bug #3301: Firefox Sync in Iceweasel not working added
